Subject: bug#74132: 31.0.50; thing-at-pt, ffap and Github markdown

From: Eli Zaretskii <[email-masked]>
Date: Sat, 09 Nov 2024 18:33:05 +0200

> From: Stefan Monnier <[email-masked]>
> Cc: Madhu <[email-masked]>,  [email-masked]
> Date: Sat, 09 Nov 2024 10:52:06 -0500
> 
> > What will this do to URLs such as
> >
> >   http://web.archive.org/web/20240221082647/https://www.imdb.com/
> 
> Depends where point is: if it's after the `https`, then you get the
> "sub-URL" and if it's on or before the `https` then you get the whole URL.

Exactly.  This could be considered a bug, because the actual URL is
the entire thing.

> > I'm not sure I see how to resolve this dilemma.  Stefan, any ideas?
> 
> "url at point" is inherently heuristic, so I'm not too worried.
> But I do very much agree with Stefan that we need tests, because it's
> all too easy to run around in circles otherwise, fixing the heuristic to
> handle case A but breaking case B along the way.

I'm okay with adding tests, of course, but I'm not sure which of the
two behaviors leave you "not too worried": the current or the new one
after the proposed change.  And why.